/*
 *  Copyright 2020 Huawei Technologies Co., Ltd.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
<template>
  <div class="login_con">
    <el-form
      :inline="true"
      :model="formInline"
      class="demo-form-inline"
    >
      <h3>Register Here</h3>
      <el-form-item>
        <el-input
          v-model="formInline.user"
          placeholder="Name"
        />
      </el-form-item>
      <el-form-item>
        <el-input
          v-model="formInline.password"
          placeholder="Password"
        />
      </el-form-item>
      <el-form-item>
        <el-input
          v-model="formInline.captch"
          placeholder="Captcha"
        />
      </el-form-item>
      <el-form-item>
        <el-button
          type="primary"
          @click="onSubmit"
        >
          Add User
        </el-button>
      </el-form-item>
    </el-form>
  </div>
</template>

<script>
export default {
  name: 'Camerapannel',
  data () {
    return {
      formInline: {
        user: '',
        region: ''
      }
    }
  },
  methods: {
    onSubmit () {
      console.log('done')
    }

  },
  computed: {

  },
  mounted () {

  }
}
</script>

<style scoped lang="less">
@media(max-width:767.98px) {
  .display-none {
    display: none;
  }
  .display-block{
    display: block;
  }
  .login_con {
    padding-top: 70px;
    height: 635px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .el-form--inline {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  h3{
    padding: 20px;
    color: white;
    font-size: 35px;
    text-align: center;
  }
}
</style>
